Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 598400 - under high IO load IO requests hang for 60-120 second before things return to normal
under high IO load IO requests hang for 60-120 second before things return to...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 06:16 EDT by Stuart Priest
Modified: 2010-12-03 09:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:08:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Priest 2010-06-01 06:16:06 EDT
Description of problem:

Using kernel-PAE-2.6.32.12-115.fc12.i686 the server IO requests hang for 60-120 seconds under high IO load.  CIF clients see...

CIFS VFS: No response for cmd 50 mid 4xxxxx
(repeats with increasing 4xxxxx number)
CIFS VFS: Send error in SETFSUnixInfo = -11
(repeats again from the start) 

NFS clients also see the problem (i.e. it is not just a samba related issue).

Version-Release number of selected component (if applicable):

kernel-PAE-2.6.32.12-115.fc12.i686


How reproducible:

Boot the kernel-PAE-2.6.32.12-115.fc12.i686 kernel

Steps to Reproduce:
1. Run three rsync programs on clients copying data from the server to local disks
2. Run two cp -r of 20 Gb directories on clients copying data from a cifs share mounted from the server on to a local disk
3. Run two cp -r of 20 Gb directories on clients copying data from an NFS mounted area from the server on to a local disk
  
Actual results:

Any program accessing the samba share from Windows will hang

Expected results:


Additional info:

Problem vanishes if I boot the slightly older kernel kernel-PAE-2.6.32.11-99.fc12.i686
Comment 1 Bug Zapper 2010-11-03 09:45:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 09:08:05 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.